Page MenuHomePhabricator

Safari 8: Mediaviewer failing in mobile when file names include special characters
Closed, ResolvedPublic

Description

In Safari 8.0.5 navigate to this sandbox, when viewed in mobile mode on desktop or mobile, MediaViewer only works for the first two images. The last three all of which have non-ASCII characters in their names fail. The error from the browser console is:

[Error] URIError: URI error
        decodeURIComponent (undefined, line 111)
        (anonymous function)
        fire (load.php, line 45)
        add (load.php, line 45)
        loadImageOverlay
        _matchRoute
        (anonymous function)
        each (load.php, line 5)
        _checkRoute
        proxy (load.php, line 6)
        emit
        (anonymous function)
        dispatch (load.php, line 65)
        handle (load.php, line 60)

Reported here:

https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Problem_with_media_viewer_in_.22mobile_view.22_on_mobile_devices

Event Timeline

JohnBlackburne raised the priority of this task from to Needs Triage.
JohnBlackburne updated the task description. (Show Details)
JohnBlackburne added a project: MediaViewer.
JohnBlackburne added a subscriber: JohnBlackburne.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 5 2015, 7:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr set Security to None.
Tgr added a subscriber: Tgr.Sep 6 2015, 5:40 AM

Works fine for me; probably browser-dependent.

Amire80 renamed this task from Mediiaviewer failing in mobile when file names include special charaters to Mediaviewer failing in mobile when file names include special charaters.Sep 6 2015, 7:26 AM

More detail: the original report said it failed on iPad, so mobile Safari, version unspecified. I My own tests were with Safari 8.0.8 on Mac OS 10.10.5. Safari on desktop is not a major browser on desktop but is on mobile.

JohnBlackburne renamed this task from Mediaviewer failing in mobile when file names include special charaters to Mediaviewer failing in mobile when file names include special characters.Sep 7 2015, 1:08 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 8 2015, 11:45 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 10 2015, 1:14 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 10 2015, 1:14 AM
Jdlrobson triaged this task as Normal priority.Sep 14 2015, 8:49 PM
Jdlrobson renamed this task from Mediaviewer failing in mobile when file names include special characters to Safari 8: Mediaviewer failing in mobile when file names include special characters.Sep 14 2015, 8:51 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

(Confirmed in Safari 8)

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

phuedx claimed this task.Sep 24 2015, 12:41 PM
phuedx moved this task from To Do to Doing on the Reading-Web-Sprint-56-Four Lions board.

Change 240688 had a related patch set uploaded (by Phuedx):
Fix media viewer for files with special characters

https://gerrit.wikimedia.org/r/240688

@jhobs the same fix is needed for desktop in MediaViewer - would you be able to do that?

@Jdlrobson I'm unable to reproduce the error on desktop. If you are able to reproduce it, could you open a new task for it?

@jhobs visit https://en.wikipedia.org/wiki/User:Mare44/sandbox in Safari. Click on image and then click right/left arrows.

jhobs added a comment.EditedSep 24 2015, 8:24 PM

@Jdlrobson works fine for me =/ Safari version 8.0.6

Me too. I guess the desktop version got fixed in the deployment today as it wasn't working this morning :)

Change 240688 merged by jenkins-bot:
Fix media viewer for files with special characters

https://gerrit.wikimedia.org/r/240688